*{
    margin: 0;
    padding: 0;
    position: relative;
}


body{
    background-color: #E3EAF8;
    color: navy;
    font-family: "montserrat", sans-serif;
    overflow-x: hidden;
}


/* 

--------Dazzle Unicase Thin
font-family: "dazzle-unicase", sans-serif;
font-weight: 200;
font-style: normal;

--------Dazzle Unicase Light
font-family: "dazzle-unicase", sans-serif;
font-weight: 300;
font-style: normal;

--------Dazzle Unicase Medium
font-family: "dazzle-unicase", sans-serif;
font-weight: 500;
font-style: normal;

--------Dazzle Unicase Bold
font-family: "dazzle-unicase", sans-serif;
font-weight: 700;
font-style: normal;

*/

header{
    height: 60px;
    background-color: gray;
}

.espai_footer {
    position: fixed;
    bottom: 0;
    width: 100%;
    height: 90px;
    background-color: #E3EAF8;
    z-index: 99; /
}

footer{
    position:fixed;
    bottom: 0px;
    height: 60px;
    width: 100%;
    background-color: beige;
    text-align: center;
    z-index: 100
}

.retroceder {
    position: absolute;
    top: 40px;
    left: 40px;
    z-index: 50;
}


.content a{
    text-decoration: none;
}

.content{
    text-align: center;
    color: #1F2F50;
    height: auto;
    width: 100%;
    padding: 0 0 100px 0;
    box-sizing: border-box
    
}

.content p{
    font-size: 16px;
    text-align: center;
    text-decoration: dashed;
    margin: 34px 60px 0 60px;
    color: #1F2F50;
    line-height: 23px;
}

h2{
    font-family: "montserrat", sans-serif;
    font-weight: 600;
    font-style: normal;
    margin: 25px auto 0;
    font-size: 20px;
    color: #1F2F50;
}

.logo{
    width: 145px;
    margin: 36px auto 0px auto;
}

.logo_agraiment{
    width: 302px;
    margin: 69px auto 0px auto;
}

.icono_inicio{
    margin: 70px auto 0;
    display: flex;
}


.categoria{
    width: 145px;
    height: 45px;
    background-color: white;
    border-color: #1F2F50;
    border-style: solid;
    margin: 10px;
    display:inline-block;
    border-radius: 15px;
    border-width: 2px;
    color: #1F2F50;
}

.categoria:hover:not(.seleccionada) {
    background-color: #1F2F50;
    border-color: white;
    color: white;
}

.categoria.seleccionada {
    background-color: #1F2F50;
    color: white;
    border-color: white;
}


.categoria h5{
    font-size: 12px;
    line-height: 12px;
    text-align: center;
    font-family: "montserrat", sans-serif;
    margin: 16px auto;
    font-weight: bold; 
}

/* ---------- BARRA FOOTER NO TOCAR ------------- */

.menu-barra {
    position: fixed;
    bottom: 0;
    width: 100%;
    height: 68px;
    background: url('../img/barramenu_movil.svg') no-repeat center bottom;
    background-size: contain;
    display: flex;
    justify-content: space-evenly;
    align-items: flex-end;
    padding-bottom: 4px ;
    z-index: 100;
}
  
.icono {
    width: 60px;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: transform 0.2s;
}

.icono img {
    transition: 0.2s ease;
    fill: #fff;
    height: 30px;
}

.icono.centro{
    transform: translateY(-20px);
    height: 32px;
}

.icono .icono_menugeeveet{
    height: 41px;
    transform: translateY(-14px);
}



/* ---------- GEEVEETS --------- */

.geeveet_popup{
    position: fixed;
    bottom: 0;
    left: 0;
    height: 305px;
    width: -webkit-fill-available;; /* usar vw en lugar de % */
    z-index: 10;
    background-color: white;
    border-radius: 15px;
    border-color: #1F2F50;
    border-style: inset;
    cursor: pointer;
    display: none;
}

.titol_geeveet{
    margin: 20px auto auto 45px;
    font-family: "montserrat", sans-serif;
}

.dades_geeveet{
    font-family: "montserrat", sans-serif;
    font-weight: 400;   
    font-size: 16px;
    margin: 0px auto 6px;
    color: #1F2F50;
}

.titol_agraiment{
    font-family: "montserrat", sans-serif;
    font-weight: 500;   
    font-size: 20px;
    margin: 0px auto 6px;
    color: #1F2F50;
}

.geeveet_agraiment{
    text-align: center;
    width: 80%;
    margin: 70px auto 90px auto;
}

.geeveet_agraiment .icon{
    margin-top: 60px;
}

.questionari_voluntari{
    margin-top: 40px;
}

.questionari_voluntari h2{
    text-align: left;
    margin: 18px 10px 0;
    font-size: 17px;
}

.formulario_voluntario{
    width: 100%;
    height: 118px;
    background-color: #fff;
    margin: 6px auto;
    border-radius: 15px;
    display:flex;
    border-color: #1E2F50;
    border-style: solid;
}

.formulario_voluntario p{
    margin: 15px 20px;
    opacity: 60%;
    color: #B5B5B5;
    text-align: left;
}

.desc_agraiment{
    font-family: "montserrat", sans-serif;
    font-weight: 300;   
    font-size: 16px;
    margin: 20px auto 0px 0px;
    text-align: center;
    color: #1F2F50;
}

.nom_entitat{
    font-family: "montserrat", sans-serif;
    font-weight: 600;   
    font-size: 20px;
    margin: 0px auto 20px;
    color: #1F2F50;
}

  
.geeveet_popup .foto_geeveet{
    height: 110px;
    width: 80%;
    margin: 25px auto;
    border-radius: 10px;
    object-fit: cover;
    display: block;
}

.geeveet_popup.visible{
    display: block;
}



.foto_geeveet_obert{
    height: 118px;
    width: 100%;
    margin: 20px 0px 20px 0px;
    border-radius: 10px;
    object-fit: cover;
    display: block;
}

.geeveet{
    text-align: left;
    margin: 0 40px 90px 40px;
}

.subtitol_geeveet{
    font-family: "montserrat", sans-serif;
    font-weight: 600;   
    font-size: 17px;
    margin: 20px auto 6px;
    color: #1F2F50;
}


.geeveet p{
    font-family: "montserrat", sans-serif;
    font-weight: 400;   
    font-size: 12px;
    margin: 0px auto 6px;
    text-align: left;
    color: #1F2F50;
}

.punt_positiu{
    width: 150px;
    height: 25px;
    background-color: white;
    border-color: #1F2F50;
    border-style: solid;
    display:inline-block;
    border-radius: 15px;
    border-width: 2px;
    color: #1F2F50;
    
}


.punt_positiu h5{
    font-size: 12px;
    line-height: 23px;
    text-align: center;
    font-family: "montserrat", sans-serif;
    font-weight: bold;
}

.punts_positius_wrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px 20px; /* fila-columna */
    justify-items: center;
    margin-top: 6px;
}

.valoracio_imatge {
    display: block;
    margin: 0 auto;
}


.inscriure{
    width: 290px;
    height: 45px;
    background-color: #1F2F50;
    border-color: #1F2F50;
    border-style: solid;
    border-radius: 15px;
    border-width: 2px;
    color: #fff;
    margin: 5px auto; 
    text-align: center;
}

.inscriure h5{
    font-size: 12px;
    line-height: 43px;
    text-align: center;
    font-family: "montserrat", sans-serif;
    font-weight: bold;
}

.botons_finals{
    margin-top: 70px;
}

.botons_entitat{
    margin-top: 40px;
}

.search-container {
    position: relative; 
    flex-grow: 1; 
    display: flex;
    top: 20px;
    justify-content: center; 
}
  
.search-container input {
    padding: 6px;
    padding-left: 10px;
    width: 80%;
    height: 35px;
    border: none;
    font-size: 17px;
    border-style: solid;
    border-color: rgb(31, 48, 81);
    border-radius: 20px;
}
  
.search-results {
    display: none; 
    position: absolute;
    top: 50px; 
    margin: 0 auto;
    width: 80%;
    text-decoration: none;
    background-color: white;
    border: 1px solid #ddd;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    border-radius: 5px;
    z-index: 10;
}
  
.search-results p {
    padding: 10px;
    margin: 0;
    color: #1E2F50;
    cursor: pointer;
    font-weight: 500;
    font-style: normal;
    text-align: left;
}
  
.search-results a{
    text-decoration: none;
}
  
.search-results p:hover {
    background-color: #f1f1f1;
}

.geeveets_scroll{
    margin-top: 40px;
}


.buscador_titol{
    font-family: "montserrat", sans-serif;
    font-weight: 500;   
    font-size: 17px;
    margin: 0;
    max-width: 57%;
    color: #fff;
    text-align: left;
}

.recomanats_titol{
    font-family: "montserrat", sans-serif;
    font-weight: 500;   
    font-size: 17px;
    margin: 0;
    max-width: 80%;
    color: #fff;
    text-align: left;
}

.notificacions_titol{
    font-family: "montserrat", sans-serif;
    font-weight: 500;   
    font-size: 17px;
    margin: 0;
    max-width: 80%;
    color: #fff;
    text-align: left;
}


.buscador_dades{
    position: absolute;
    left: 0px;
    top: 5%;
    transform: translateY(-50%);
    font-family: "montserrat", sans-serif;
    font-weight: 400;   
    font-size: 15px;
    color: #fff;
    text-align: left; 
}

.geeveet_buscador {
    font-family: "montserrat", sans-serif;
    font-weight: 500;   
    height: 90px;
    width: 80%;
    margin: 10px auto;
    position: relative;
    background-size: cover;
    background-position: center;
    border-radius: 16px;
    padding: 15px;
    color: white;
    margin-bottom: 16px;
    overflow: hidden; 
}
.geeveet_buscador::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    z-index: 0;
    border-radius: 16px;
}


.geeveet_buscador * {
    position: relative;
    z-index: 1;
}


.buscador_top {
    display: flex;
    justify-content: space-between;
    align-items: start;
}

.buscador_aforament {
    display: flex;
    color: #fff;
    align-items: center;
    gap: 5px;
    font-family: "montserrat", sans-serif;
    font-weight: 400;   
    white-space: nowrap;
}

.buscador_estrelles {
    display: flex;
    color: #fff;
    align-items: center;
    gap: 5px;
    font-family: "montserrat", sans-serif;
    font-weight: 400;   
}

.icon_aforo {
    width: 18px;
    height: 18px;
}

.icon_estrelles {
    height: 18px;
}

.buscador_fav {
    position: absolute;
    bottom: 15px;
    right: 15px;
    cursor: pointer;
}

.icon_fav {
    width: 20px;
    height: 20px;
}

.fondo1 {
    background-image: url('../img/pexels-olly-3791664.jpg');
    background-size: cover;
}
.fondo2 {
    background-image: url('../img/school-1974369_1280.jpg');
    background-size: cover;
}
.fondo3 {
    background-image: url('../img/school-8980534_1280.jpg');
    background-size: cover;
}
.fondo4 {
    background-image: url('../img/pexels-katetrysh-4090012.jpg');
    background-size: cover;
}
.fondo5 {
    background-image: url('../img/jaspinder-singh-lpyWikRUqsI-unsplash.jpg');
    background-size: cover;
}

.fondo6 {
    background-image: url('../img/fondo_entitat.png');
    background-size: cover;
}

.fondo7 {
    background-image: url('../img/img_entidad.jpg');
    background-size: cover;
}

.fondo8 {
    background-image: url('../img/distribution-workers-non-profit-organization-distributing-donations.jpg');
    background-size: cover;
}

.fondo9 {
    background-image: url('../img/pexels-mikhail-nilov-8543570.jpg');
    background-size: cover;
}

.fondo12{
    background-image: url('../img/beautiful-volunteer-woman-posing-city-park.jpg');
    background-size: cover;
}
.fondo13{
    background-image: url('../img/pexels-rdne-6646981.jpg');
    background-size: cover;
}
.fondo14{
    background-image: url('../img/authentic-scenes-plus-size-males-playing-basketball.jpg');
    background-size: cover;
}
.fondo15{
    background-image: url('../img/pexels-rdne-6646915.jpg');
    background-size: cover;
}


.categories_recomanats{
    font-family: "montserrat", sans-serif;
    font-weight: 600;
    font-style: normal;
    font-size: 17px;
    text-align: left;
    margin: 45px 40px 0;
    color: #1E2F50;
}

.geeveets_recomanats{
    font-family: "montserrat", sans-serif;
    font-weight: 600;
    font-style: normal;
    font-size: 17px;
    text-align: left;
    margin: 20px 40px 0;
    color: #1E2F50;
}

.categoria_recomanacions{
    width: 175PX;
    height: 45px;
    background-color: white;
    border-color: #1F2F50;
    border-style: solid;
    display: inline-block;
    border-radius: 15px;
    border-width: 2px;
    color: #1F2F50;
}

.categoria_recomanacions h5{
    font-size: 12px;
    line-height: 12px;
    text-align: center;
    font-family: "montserrat", sans-serif;
    margin: 16px auto;
    font-weight: bold; 
}

.categories_wrapper{
    width: 80%;
    margin: 0px auto;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px 10px; /* fila-columna */
    justify-items: center;
    margin-top: 6px;
    justify-content: center;
}

.geeveets_scroll_recomanats{
    margin-top: 0px;
}

.geeveets_scroll_notificacions{
    margin-top: 0px;
}


.titol_preferits{
    font-size: 20px;
    line-height: 12px;
    text-align: center;
    font-family: "montserrat", sans-serif;
    margin: 40px auto 20px auto;
    font-weight: 600; 
}

.desc_preferits{
    font-size: 16px;
    text-align: center;
    font-family: "montserrat", sans-serif;
    margin: auto 30px auto 30px;
    font-weight: 400; 
}

.notificacions_top {
    display: flex;
    align-items: start;
}

.notificacions_top img{
    margin: auto 6px auto 0px;
}

.geeveet_buscador .desc_notificacion{
    font-size: 16px;
    text-align: left;
    text-decoration: dashed;
    margin: 6px 0px 0 0px;
    color: #ffffff;
    font-weight: 300;
    line-height: 23px;
}


.perfil{
    height: auto;
    width: 90%;
    margin: 36px auto 0px;
    display: flex;
}

.perfil .foto_perfil{
    height: 145px;
    width: 165px;
    border-radius: 10px;
    background-size: cover;
    background-position: center;
    background-image: url('../img/beautiful-volunteer-woman-posing-city-park.jpg');
}

.perfil .desc_perfil_voluntari{
    font-size: 12px;
    text-align: justify;
    font-weight: 300;
    line-height: 10px;
    margin: 0px 0px 0 0px;
    color: #1F2F50;
    line-height: 23px;
}

.perfil .info_perfil{
    width: 50%;
    margin: 0 auto;
}

.perfil .nom_voluntari{
    text-align: left;
}


.nom_voluntari{
    margin: 0px auto 0; 
}

.categories_perfil_volun{
    font-family: "montserrat", sans-serif;
    font-weight: 600;
    font-style: normal;
    font-size: 17px;
    text-align: left;
    margin: 40px 40px 0;
    color: #1E2F50;
}

.ajust{
    position: absolute;
    top: 40px;
    right: 40px;
    z-index: 50;
}

.voluntari_perfil_ajust{
    margin-top: 40px;
}

.voluntari_perfil_ajust h2{
    text-align: left;
    margin: 20px 40px 0;
    font-size: 17px;
}

.formulario_perfil_ajust{
    width: 83%;
    height: 45px;
    background-color: #fff;
    margin: 6px auto;
    border-radius: 15px;
    display:flex;
    border-color: #1E2F50;
    border-style: solid;
}

.formulario_perfil_ajust p{
    margin: 12px 20px;
    color: #1E2F50;
    text-align: left;
}



.formulario_perfil_ajust_ubi{
    width: 83%;
    height: 66px;
    background-color: #fff;
    margin: 6px auto;
    border-radius: 15px;
    display:flex;
    border-color: #1E2F50;
    border-style: solid;
}

.formulario_perfil_ajust_ubi p{
    margin: 12px 20px;
    color: #1E2F50;
    text-align: left;
}



.formulario_perfil_ajust_moti{
    width: 83%;
    height: 160px;
    background-color: #fff;
    margin: 6px auto;
    border-radius: 15px;
    display:flex;
    border-color: #1E2F50;
    border-style: solid;
}

.formulario_perfil_ajust_moti p{
    margin: 12px 20px;
    color: #1E2F50;
    text-align: left;
}

.botons_finals_formulari{
    margin-top: 40px;
}




.formulario_sugerir_givit{
    width: 83%;
    height: 45px;
    background-color: #fff;
    margin: 6px auto;
    border-radius: 15px;
    display:flex;
    border-color: #1E2F50;
    border-style: solid;
}

.formulario_sugerir_givit p{
    margin: 12px 20px;
    opacity: 60%;
    color: #B5B5B5;
    text-align: left;
}

.formulario_sugerir_givit_proposta{
    width: 83%;
    height: 160px;
    background-color: #fff;
    margin: 6px auto;
    border-radius: 15px;
    display:flex;
    border-color: #1E2F50;
    border-style: solid;
}

.formulario_sugerir_givit_proposta p{
    margin: 12px 20px;
    opacity: 60%;
    color: #B5B5B5;
    text-align: left;
}

.titol_agraiment{
    font-family: "montserrat", sans-serif;
    font-weight: 600;
    font-style: normal;
    font-size: 17px;
}

.titol_categoria{
    font-family: "montserrat", sans-serif;
    font-weight: 600;
    font-style: normal;
    font-size: 20px;
    margin: 46px auto 0px auto;
}

.foto_perfil_obert{
    height: 118px;
    width: 80%;
    margin: 20px auto;
    border-radius: 10px;
    object-fit: cover;
    display: block;
}

.valoracio_entitat{
    height: 17px;
    width: auto;
}

.subtitol_valoracio{
    font-family: "montserrat", sans-serif;
    font-weight: 600;   
    font-size: 17px;
    margin: 0px 0px 0px;
    color: #1F2F50;
}

.entitat_menu{
    margin: 0 30px 20px 30px;
}


.escull_foto{
    height: 118px;
    width: 80%;
    margin: 20px auto;
    border-radius: 15px;
    background-color: white;
    border-color: #1E2F50;
    border-style: solid;
    text-align: left;
}


.escull_foto svg{
    margin: 15px 20px;
    fill: #1E2F50;
}

.data_hora_entitat{
    display: flex;
    justify-content: space-between; /* o "center", según lo que busques */
    gap: 10px; /* ajusta este valor para reducir o aumentar la separación */
    margin: 0px auto; /* margen general */
    width: fit-content; /* o un ancho específico */
}

.data_hora_entitat > div {
    display: flex;
    flex-direction: column;
}

.formulario_perfil_enti_sug {
    width: 170px;
    height: 45px;
    background-color: #fff;
    margin: 6px auto;
    border-radius: 15px;
    display: flex;
    border-color: #1E2F50;
    border-style: solid;
}

.formulario_perfil_enti_sug p{
    margin: 12px 20px;
    color: #1E2F50;
    text-align: left;
}

.emplena_formulari{
    text-align: left;
    margin: 20px 10px 0;
    font-size: 17px;
    font-family: "montserrat", sans-serif;
    font-weight: 600;
    font-style: normal;
}
